TBtreeStat (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class TBtreeStat

- java.lang.Object
- - com.sleepycat.thrift.TBtreeStat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TBtreeStat>, org.apache.thrift.TBase<TBtreeStat,TBtreeStat._Fields>, org.apache.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.10.0)",
                 date="2017-08-25")
      public class TBtreeStat
      extends java.lang.Object
      implements org.apache.thrift.TBase<TBtreeStat,TBtreeStat._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TBtreeStat>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TBtreeStat._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `dupPages`
    `long` | `dupPagesFree`
    `int` | `emptyPages`
    `int` | `free`
    `int` | `intPages`
    `long` | `intPagesFree`
    `int` | `leafPages`
    `long` | `leafPagesFree`
    `int` | `levels`
    `int` | `magic`
    `static java.util.Map<TBtreeStat._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `int` | `metaFlags`
    `int` | `minKey`
    `int` | `numBlobs`
    `int` | `numData`
    `int` | `numKeys`
    `int` | `overPages`
    `long` | `overPagesFree`
    `int` | `pageCount`
    `int` | `pageSize`
    `int` | `reLen`
    `int` | `rePad`
    `int` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TBtreeStat()`
    `TBtreeStat(int dupPages, long dupPagesFree, int emptyPages, int free, int intPages, long intPagesFree, int leafPages, long leafPagesFree, int levels, int magic, int metaFlags, int minKey, int numBlobs, int numData, int numKeys, int overPages, long overPagesFree, int pageCount, int pageSize, int reLen, int rePad, int version)`
    `TBtreeStat(TBtreeStat other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(TBtreeStat other)`
    `TBtreeStat` | `deepCopy()`
    `boolean` | `equals(java.lang.Object that)`
    `boolean` | `equals(TBtreeStat that)`
    `TBtreeStat._Fields` | `fieldForId(int fieldId)`
    `int` | `getDupPages()`
    `long` | `getDupPagesFree()`
    `int` | `getEmptyPages()`
    `java.lang.Object` | `getFieldValue(TBtreeStat._Fields field)`
    `int` | `getFree()`
    `int` | `getIntPages()`
    `long` | `getIntPagesFree()`
    `int` | `getLeafPages()`
    `long` | `getLeafPagesFree()`
    `int` | `getLevels()`
    `int` | `getMagic()`
    `int` | `getMetaFlags()`
    `int` | `getMinKey()`
    `int` | `getNumBlobs()`
    `int` | `getNumData()`
    `int` | `getNumKeys()`
    `int` | `getOverPages()`
    `long` | `getOverPagesFree()`
    `int` | `getPageCount()`
    `int` | `getPageSize()`
    `int` | `getReLen()`
    `int` | `getRePad()`
    `int` | `getVersion()`
    `int` | `hashCode()`
    `boolean` | `isSet(TBtreeStat._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetDupPages()` Returns true if field dupPages is set (has been assigned a value) and false otherwise
    `boolean` | `isSetDupPagesFree()` Returns true if field dupPagesFree is set (has been assigned a value) and false otherwise
    `boolean` | `isSetEmptyPages()` Returns true if field emptyPages is set (has been assigned a value) and false otherwise
    `boolean` | `isSetFree()` Returns true if field free is set (has been assigned a value) and false otherwise
    `boolean` | `isSetIntPages()` Returns true if field intPages is set (has been assigned a value) and false otherwise
    `boolean` | `isSetIntPagesFree()` Returns true if field intPagesFree is set (has been assigned a value) and false otherwise
    `boolean` | `isSetLeafPages()` Returns true if field leafPages is set (has been assigned a value) and false otherwise
    `boolean` | `isSetLeafPagesFree()` Returns true if field leafPagesFree is set (has been assigned a value) and false otherwise
    `boolean` | `isSetLevels()` Returns true if field levels is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMagic()` Returns true if field magic is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMetaFlags()` Returns true if field metaFlags is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMinKey()` Returns true if field minKey is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNumBlobs()` Returns true if field numBlobs is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNumData()` Returns true if field numData is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNumKeys()` Returns true if field numKeys is set (has been assigned a value) and false otherwise
    `boolean` | `isSetOverPages()` Returns true if field overPages is set (has been assigned a value) and false otherwise
    `boolean` | `isSetOverPagesFree()` Returns true if field overPagesFree is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPageCount()` Returns true if field pageCount is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPageSize()` Returns true if field pageSize is set (has been assigned a value) and false otherwise
    `boolean` | `isSetReLen()` Returns true if field reLen is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRePad()` Returns true if field rePad is set (has been assigned a value) and false otherwise
    `boolean` | `isSetVersion()` Returns true if field version is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `TBtreeStat` | `setDupPages(int dupPages)`
    `TBtreeStat` | `setDupPagesFree(long dupPagesFree)`
    `void` | `setDupPagesFreeIsSet(boolean value)`
    `void` | `setDupPagesIsSet(boolean value)`
    `TBtreeStat` | `setEmptyPages(int emptyPages)`
    `void` | `setEmptyPagesIsSet(boolean value)`
    `void` | `setFieldValue(TBtreeStat._Fields field, java.lang.Object value)`
    `TBtreeStat` | `setFree(int free)`
    `void` | `setFreeIsSet(boolean value)`
    `TBtreeStat` | `setIntPages(int intPages)`
    `TBtreeStat` | `setIntPagesFree(long intPagesFree)`
    `void` | `setIntPagesFreeIsSet(boolean value)`
    `void` | `setIntPagesIsSet(boolean value)`
    `TBtreeStat` | `setLeafPages(int leafPages)`
    `TBtreeStat` | `setLeafPagesFree(long leafPagesFree)`
    `void` | `setLeafPagesFreeIsSet(boolean value)`
    `void` | `setLeafPagesIsSet(boolean value)`
    `TBtreeStat` | `setLevels(int levels)`
    `void` | `setLevelsIsSet(boolean value)`
    `TBtreeStat` | `setMagic(int magic)`
    `void` | `setMagicIsSet(boolean value)`
    `TBtreeStat` | `setMetaFlags(int metaFlags)`
    `void` | `setMetaFlagsIsSet(boolean value)`
    `TBtreeStat` | `setMinKey(int minKey)`
    `void` | `setMinKeyIsSet(boolean value)`
    `TBtreeStat` | `setNumBlobs(int numBlobs)`
    `void` | `setNumBlobsIsSet(boolean value)`
    `TBtreeStat` | `setNumData(int numData)`
    `void` | `setNumDataIsSet(boolean value)`
    `TBtreeStat` | `setNumKeys(int numKeys)`
    `void` | `setNumKeysIsSet(boolean value)`
    `TBtreeStat` | `setOverPages(int overPages)`
    `TBtreeStat` | `setOverPagesFree(long overPagesFree)`
    `void` | `setOverPagesFreeIsSet(boolean value)`
    `void` | `setOverPagesIsSet(boolean value)`
    `TBtreeStat` | `setPageCount(int pageCount)`
    `void` | `setPageCountIsSet(boolean value)`
    `TBtreeStat` | `setPageSize(int pageSize)`
    `void` | `setPageSizeIsSet(boolean value)`
    `TBtreeStat` | `setReLen(int reLen)`
    `void` | `setReLenIsSet(boolean value)`
    `TBtreeStat` | `setRePad(int rePad)`
    `void` | `setRePadIsSet(boolean value)`
    `TBtreeStat` | `setVersion(int version)`
    `void` | `setVersionIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetDupPages()`
    `void` | `unsetDupPagesFree()`
    `void` | `unsetEmptyPages()`
    `void` | `unsetFree()`
    `void` | `unsetIntPages()`
    `void` | `unsetIntPagesFree()`
    `void` | `unsetLeafPages()`
    `void` | `unsetLeafPagesFree()`
    `void` | `unsetLevels()`
    `void` | `unsetMagic()`
    `void` | `unsetMetaFlags()`
    `void` | `unsetMinKey()`
    `void` | `unsetNumBlobs()`
    `void` | `unsetNumData()`
    `void` | `unsetNumKeys()`
    `void` | `unsetOverPages()`
    `void` | `unsetOverPagesFree()`
    `void` | `unsetPageCount()`
    `void` | `unsetPageSize()`
    `void` | `unsetReLen()`
    `void` | `unsetRePad()`
    `void` | `unsetVersion()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dupPages

          public int dupPages

    - #### dupPagesFree

          public long dupPagesFree

    - #### emptyPages

          public int emptyPages

    - #### free

          public int free

    - #### intPages

          public int intPages

    - #### intPagesFree

          public long intPagesFree

    - #### leafPages

          public int leafPages

    - #### leafPagesFree

          public long leafPagesFree

    - #### levels

          public int levels

    - #### magic

          public int magic

    - #### metaFlags

          public int metaFlags

    - #### minKey

          public int minKey

    - #### numBlobs

          public int numBlobs

    - #### numData

          public int numData

    - #### numKeys

          public int numKeys

    - #### overPages

          public int overPages

    - #### overPagesFree

          public long overPagesFree

    - #### pageCount

          public int pageCount

    - #### pageSize

          public int pageSize

    - #### reLen

          public int reLen

    - #### rePad

          public int rePad

    - #### version

          public int version

    - #### metaDataMap

          public static final java.util.Map<TBtreeStat._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### TBtreeStat

          public TBtreeStat()

    - #### TBtreeStat

          public TBtreeStat(int dupPages,
                            long dupPagesFree,
                            int emptyPages,
                            int free,
                            int intPages,
                            long intPagesFree,
                            int leafPages,
                            long leafPagesFree,
                            int levels,
                            int magic,
                            int metaFlags,
                            int minKey,
                            int numBlobs,
                            int numData,
                            int numKeys,
                            int overPages,
                            long overPagesFree,
                            int pageCount,
                            int pageSize,
                            int reLen,
                            int rePad,
                            int version)

    - #### TBtreeStat

          public TBtreeStat(TBtreeStat other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public TBtreeStat deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<TBtreeStat,TBtreeStat._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<TBtreeStat,TBtreeStat._Fields>`

    - #### getDupPages

          public int getDupPages()

    - #### setDupPages

          public TBtreeStat setDupPages(int dupPages)

    - #### unsetDupPages

          public void unsetDupPages()

    - #### isSetDupPages

          public boolean isSetDupPages()

      Returns true if field dupPages is set (has been assigned a value) and false otherwise

    - #### setDupPagesIsSet

          public void setDupPagesIsSet(boolean value)

    - #### getDupPagesFree

          public long getDupPagesFree()

    - #### setDupPagesFree

          public TBtreeStat setDupPagesFree(long dupPagesFree)

    - #### unsetDupPagesFree

          public void unsetDupPagesFree()

    - #### isSetDupPagesFree

          public boolean isSetDupPagesFree()

      Returns true if field dupPagesFree is set (has been assigned a value) and false otherwise

    - #### setDupPagesFreeIsSet

          public void setDupPagesFreeIsSet(boolean value)

    - #### getEmptyPages

          public int getEmptyPages()

    - #### setEmptyPages

          public TBtreeStat setEmptyPages(int emptyPages)

    - #### unsetEmptyPages

          public void unsetEmptyPages()

    - #### isSetEmptyPages

          public boolean isSetEmptyPages()

      Returns true if field emptyPages is set (has been assigned a value) and false otherwise

    - #### setEmptyPagesIsSet

          public void setEmptyPagesIsSet(boolean value)

    - #### getFree

          public int getFree()

    - #### setFree

          public TBtreeStat setFree(int free)

    - #### unsetFree

          public void unsetFree()

    - #### isSetFree

          public boolean isSetFree()

      Returns true if field free is set (has been assigned a value) and false otherwise

    - #### setFreeIsSet

          public void setFreeIsSet(boolean value)

    - #### getIntPages

          public int getIntPages()

    - #### setIntPages

          public TBtreeStat setIntPages(int intPages)

    - #### unsetIntPages

          public void unsetIntPages()

    - #### isSetIntPages

          public boolean isSetIntPages()

      Returns true if field intPages is set (has been assigned a value) and false otherwise

    - #### setIntPagesIsSet

          public void setIntPagesIsSet(boolean value)

    - #### getIntPagesFree

          public long getIntPagesFree()

    - #### setIntPagesFree

          public TBtreeStat setIntPagesFree(long intPagesFree)

    - #### unsetIntPagesFree

          public void unsetIntPagesFree()

    - #### isSetIntPagesFree

          public boolean isSetIntPagesFree()

      Returns true if field intPagesFree is set (has been assigned a value) and false otherwise

    - #### setIntPagesFreeIsSet

          public void setIntPagesFreeIsSet(boolean value)

    - #### getLeafPages

          public int getLeafPages()

    - #### setLeafPages

          public TBtreeStat setLeafPages(int leafPages)

    - #### unsetLeafPages

          public void unsetLeafPages()

    - #### isSetLeafPages

          public boolean isSetLeafPages()

      Returns true if field leafPages is set (has been assigned a value) and false otherwise

    - #### setLeafPagesIsSet

          public void setLeafPagesIsSet(boolean value)

    - #### getLeafPagesFree

          public long getLeafPagesFree()

    - #### setLeafPagesFree

          public TBtreeStat setLeafPagesFree(long leafPagesFree)

    - #### unsetLeafPagesFree

          public void unsetLeafPagesFree()

    - #### isSetLeafPagesFree

          public boolean isSetLeafPagesFree()

      Returns true if field leafPagesFree is set (has been assigned a value) and false otherwise

    - #### setLeafPagesFreeIsSet

          public void setLeafPagesFreeIsSet(boolean value)

    - #### getLevels

          public int getLevels()

    - #### setLevels

          public TBtreeStat setLevels(int levels)

    - #### unsetLevels

          public void unsetLevels()

    - #### isSetLevels

          public boolean isSetLevels()

      Returns true if field levels is set (has been assigned a value) and false otherwise

    - #### setLevelsIsSet

          public void setLevelsIsSet(boolean value)

    - #### getMagic

          public int getMagic()

    - #### setMagic

          public TBtreeStat setMagic(int magic)

    - #### unsetMagic

          public void unsetMagic()

    - #### isSetMagic

          public boolean isSetMagic()

      Returns true if field magic is set (has been assigned a value) and false otherwise

    - #### setMagicIsSet

          public void setMagicIsSet(boolean value)

    - #### getMetaFlags

          public int getMetaFlags()

    - #### setMetaFlags

          public TBtreeStat setMetaFlags(int metaFlags)

    - #### unsetMetaFlags

          public void unsetMetaFlags()

    - #### isSetMetaFlags

          public boolean isSetMetaFlags()

      Returns true if field metaFlags is set (has been assigned a value) and false otherwise

    - #### setMetaFlagsIsSet

          public void setMetaFlagsIsSet(boolean value)

    - #### getMinKey

          public int getMinKey()

    - #### setMinKey

          public TBtreeStat setMinKey(int minKey)

    - #### unsetMinKey

          public void unsetMinKey()

    - #### isSetMinKey

          public boolean isSetMinKey()

      Returns true if field minKey is set (has been assigned a value) and false otherwise

    - #### setMinKeyIsSet

          public void setMinKeyIsSet(boolean value)

    - #### getNumBlobs

          public int getNumBlobs()

    - #### setNumBlobs

          public TBtreeStat setNumBlobs(int numBlobs)

    - #### unsetNumBlobs

          public void unsetNumBlobs()

    - #### isSetNumBlobs

          public boolean isSetNumBlobs()

      Returns true if field numBlobs is set (has been assigned a value) and false otherwise

    - #### setNumBlobsIsSet

          public void setNumBlobsIsSet(boolean value)

    - #### getNumData

          public int getNumData()

    - #### setNumData

          public TBtreeStat setNumData(int numData)

    - #### unsetNumData

          public void unsetNumData()

    - #### isSetNumData

          public boolean isSetNumData()

      Returns true if field numData is set (has been assigned a value) and false otherwise

    - #### setNumDataIsSet

          public void setNumDataIsSet(boolean value)

    - #### getNumKeys

          public int getNumKeys()

    - #### setNumKeys

          public TBtreeStat setNumKeys(int numKeys)

    - #### unsetNumKeys

          public void unsetNumKeys()

    - #### isSetNumKeys

          public boolean isSetNumKeys()

      Returns true if field numKeys is set (has been assigned a value) and false otherwise

    - #### setNumKeysIsSet

          public void setNumKeysIsSet(boolean value)

    - #### getOverPages

          public int getOverPages()

    - #### setOverPages

          public TBtreeStat setOverPages(int overPages)

    - #### unsetOverPages

          public void unsetOverPages()

    - #### isSetOverPages

          public boolean isSetOverPages()

      Returns true if field overPages is set (has been assigned a value) and false otherwise

    - #### setOverPagesIsSet

          public void setOverPagesIsSet(boolean value)

    - #### getOverPagesFree

          public long getOverPagesFree()

    - #### setOverPagesFree

          public TBtreeStat setOverPagesFree(long overPagesFree)

    - #### unsetOverPagesFree

          public void unsetOverPagesFree()

    - #### isSetOverPagesFree

          public boolean isSetOverPagesFree()

      Returns true if field overPagesFree is set (has been assigned a value) and false otherwise

    - #### setOverPagesFreeIsSet

          public void setOverPagesFreeIsSet(boolean value)

    - #### getPageCount

          public int getPageCount()

    - #### setPageCount

          public TBtreeStat setPageCount(int pageCount)

    - #### unsetPageCount

          public void unsetPageCount()

    - #### isSetPageCount

          public boolean isSetPageCount()

      Returns true if field pageCount is set (has been assigned a value) and false otherwise

    - #### setPageCountIsSet

          public void setPageCountIsSet(boolean value)

    - #### getPageSize

          public int getPageSize()

    - #### setPageSize

          public TBtreeStat setPageSize(int pageSize)

    - #### unsetPageSize

          public void unsetPageSize()

    - #### isSetPageSize

          public boolean isSetPageSize()

      Returns true if field pageSize is set (has been assigned a value) and false otherwise

    - #### setPageSizeIsSet

          public void setPageSizeIsSet(boolean value)

    - #### getReLen

          public int getReLen()

    - #### setReLen

          public TBtreeStat setReLen(int reLen)

    - #### unsetReLen

          public void unsetReLen()

    - #### isSetReLen

          public boolean isSetReLen()

      Returns true if field reLen is set (has been assigned a value) and false otherwise

    - #### setReLenIsSet

          public void setReLenIsSet(boolean value)

    - #### getRePad

          public int getRePad()

    - #### setRePad

          public TBtreeStat setRePad(int rePad)

    - #### unsetRePad

          public void unsetRePad()

    - #### isSetRePad

          public boolean isSetRePad()

      Returns true if field rePad is set (has been assigned a value) and false otherwise

    - #### setRePadIsSet

          public void setRePadIsSet(boolean value)

    - #### getVersion

          public int getVersion()

    - #### setVersion

          public TBtreeStat setVersion(int version)

    - #### unsetVersion

          public void unsetVersion()

    - #### isSetVersion

          public boolean isSetVersion()

      Returns true if field version is set (has been assigned a value) and false otherwise

    - #### setVersionIsSet

          public void setVersionIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(TBtreeStat._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<TBtreeStat,TBtreeStat._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(TBtreeStat._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<TBtreeStat,TBtreeStat._Fields>`

    - #### isSet

          public boolean isSet(TBtreeStat._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<TBtreeStat,TBtreeStat._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(TBtreeStat that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(TBtreeStat other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TBtreeStat>`

    - #### fieldForId

          public TBtreeStat._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<TBtreeStat,TBtreeStat._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.